Loading...
Searching...
No Matches
lomiri.launcher.Launcher Class Reference

## Public Member Functions

| show (self)
| click_dash_icon (self)
| click_application_launcher_icon (self, application_name)

## Public Attributes

| shown

## Protected Member Functions

| _swipe_to_show_launcher (self)

## Detailed Description

    A helper that understands the Launcher.

Definition at line 31 of file launcher.py.

## Member Function Documentation

## _swipe_to_show_launcher()

lomiri.launcher.Launcher._swipe_to_show_launcher | ( |  | self | ) |

protected

Definition at line 44 of file launcher.py.

def _swipe_to_show_launcher(self):
view = self.get_root_instance().select_single('ShellView')
start_y = stop_y = view.y + view.height // 2
start_x = view.x + 1
stop_x = start_x + self.panelWidth - 1
self.pointing_device.drag(start_x, start_y, stop_x, stop_y)

## click_application_launcher_icon()

lomiri.launcher.Launcher.click_application_launcher_icon | ( |  | self,
|  |  | application_name )

Definition at line 63 of file launcher.py.

def click_application_launcher_icon(self, application_name):
launcher_delegate = self.select_single(
'LauncherDelegate', appId=application_name)
self.pointing_device.click_object(launcher_delegate)

## click_dash_icon()

lomiri.launcher.Launcher.click_dash_icon | ( |  | self | ) |

Definition at line 54 of file launcher.py.

def click_dash_icon(self):
if self.shown:
dash_icon = self.select_single(
'QQuickImage', objectName='dashItem')
self.pointing_device.click_object(dash_icon)
else:
raise lomiri.LomiriException('The launcher is closed.')
lomiri.LomiriException
Definition __init__.py:27

## show()

lomiri.launcher.Launcher.show | ( |  | self | ) |

    Show the launcher swiping it to the right.

Definition at line 36 of file launcher.py.

def show(self):
"""Show the launcher swiping it to the right."""
if not self.shown:
self._swipe_to_show_launcher()
self.shown.wait_for(True)
else:
logger.debug('The launcher is already opened.')

## Member Data Documentation

## shown

lomiri.launcher.Launcher.shown

Definition at line 38 of file launcher.py.

The documentation for this class was generated from the following file:

- tests/autopilot/lomiri/launcher.py